1

I have OS X El Capitan. I want to install MacPorts. According to its page it needs Xcode.

According to this post: Determine xcode command line tools version

to know the Xcode version the following command should be used:

pkgutil --pkg-info=com.apple.pkg.CLTools_Executables

The command works and returns:

version: 8.2.0.0.1.1480973914

Now, the reason for this post, I want to have the latest acceptable version of Xcode for El Capitan for it to work fine with MacPorts

According with this comment at Xcode is not currently available from the Software Update server, it does mention to use the Command Line Tools as search criteria at the URL https://developer.apple.com/downloads/ (btw that URL redirects to https://developer.apple.com/download/all).

With the suggested search criteria appears as result many Xcode versions

Question

How to know what is the latest acceptable version of Xcode for a specific OS X or macOS?

Therefore, is there an official table indicating or showing all versions of Xcode that can be installed for each OS X and macOS release?

So, once known the latest acceptable version to update Xcode in OS X for El Capitan - I am assuming that in https://developer.apple.com/download/all is possible to download in peace the specific .dmg file, right?

0

1 Answer 1

2

While not official, there is Xcode Releases.

For OS X El Capitan, the answer would be Xcode 8.2.1. Next would be Xcode 8.3 which requires macOS Sierra. Once you have this information, one can easily verify by comparing a search for Xcode 8.2 with Xcode 8.3.

Note: Some links given in this answer require being able to sign to Apple Developer.

1
  • Thanks - because I have 10.11.6 the best latest acceptable version is Xcode 8.2.1 - huge thanks for the support! Commented Oct 19, 2022 at 13:26

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .